io.agora.rtc

## Class RtmpStreamingVideoConf

- java.lang.Object
- - io.agora.rtc.RtmpStreamingVideoConf

-     public class RtmpStreamingVideoConf
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bitrate`
    `private int` | `framerate`
    `private int` | `gopInMs`
    `private int` | `height`
    `private int` | `maxBitrate`
    `private int` | `minBitrate`
    `private int` | `orientationMode`
    `private int` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtmpStreamingVideoConf()`
    `RtmpStreamingVideoConf(int width, int height, int framerate, int bitrate, int maxBitrate, int minBitrate, int gopInMs, int orientationMode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrate()`
    `int` | `getFramerate()`
    `int` | `getGopInMs()`
    `int` | `getHeight()`
    `int` | `getMaxBitrate()`
    `int` | `getMinBitrate()`
    `int` | `getOrientationMode()`
    `int` | `getWidth()`
    `void` | `setBitrate(int bitrate)`
    `void` | `setFramerate(int framerate)`
    `void` | `setGopInMs(int gopInMs)`
    `void` | `setHeight(int height)`
    `void` | `setMaxBitrate(int maxBitrate)`
    `void` | `setMinBitrate(int minBitrate)`
    `void` | `setOrientationMode(int orientationMode)`
    `void` | `setWidth(int width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          private int width

    - #### height

          private int height

    - #### framerate

          private int framerate

    - #### bitrate

          private int bitrate

    - #### maxBitrate

          private int maxBitrate

    - #### minBitrate

          private int minBitrate

    - #### gopInMs

          private int gopInMs

    - #### orientationMode

          private int orientationMode

  - ### Constructor Detail

    - #### RtmpStreamingVideoConf

          public RtmpStreamingVideoConf()

    - #### RtmpStreamingVideoConf

          public RtmpStreamingVideoConf(int width,
                                        int height,
                                        int framerate,
                                        int bitrate,
                                        int maxBitrate,
                                        int minBitrate,
                                        int gopInMs,
                                        int orientationMode)

  - ### Method Detail

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getFramerate

          public int getFramerate()

    - #### setFramerate

          public void setFramerate(int framerate)

    - #### getBitrate

          public int getBitrate()

    - #### setBitrate

          public void setBitrate(int bitrate)

    - #### getMaxBitrate

          public int getMaxBitrate()

    - #### setMaxBitrate

          public void setMaxBitrate(int maxBitrate)

    - #### getMinBitrate

          public int getMinBitrate()

    - #### setMinBitrate

          public void setMinBitrate(int minBitrate)

    - #### getGopInMs

          public int getGopInMs()

    - #### setGopInMs

          public void setGopInMs(int gopInMs)

    - #### getOrientationMode

          public int getOrientationMode()

    - #### setOrientationMode

          public void setOrientationMode(int orientationMode)